Bug 164203 - too few arguments for printf format
too few arguments for printf format
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pilot-link (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-25 17:48 EDT by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-26 04:43:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-07-25 17:48:48 EDT
Description of problem:


I just tried to compile Redhat Fedora package
pilot-link-0.12.0-0.pre4.2 with the Intel C compiler version 8.1

The compiler said

install-memo.c:77: warning: too few arguments for format

The source code is

                fprintf(stderr,"         File `%s' is ignored.\n");

Missing parameter. Suggest add local variable "filename".


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ngo Than 2005-07-26 04:43:14 EDT
it's fixed in 0.12.0-0.pre4.3. Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.